Subject: Metal Art Work Displayed

From: [email-masked] (Art Devonshire)
Date: 27 Jan 1995 04:02:17 GMT

Please send me the info on metal art work displayed in the digital 
magaznine .                                                               
           art      san diego                                             
                                                      prodigy   cjgj59a   
                                                                          
                     aol           arthurD784